Partner API
Create a customer workspace
Creates a managed customer company, invites its admin, and optionally starts it from an industry template (templateKey). Idempotent per requestId.
POST
/
v4
/
partner
/
customers
Create a customer workspace
curl --request POST \
--url https://api.meetergo.com/v4/partner/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"adminFirstName": "<string>",
"adminLastName": "<string>",
"adminEmail": "jsmith@example.com",
"language": "<string>",
"timezone": "<string>",
"contactConsentConfirmed": true,
"extraEmails": [
"jsmith@example.com"
],
"partnerRetailPricePerSeatEur": "<string>"
}
'import requests
url = "https://api.meetergo.com/v4/partner/customers"
payload = {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"adminFirstName": "<string>",
"adminLastName": "<string>",
"adminEmail": "jsmith@example.com",
"language": "<string>",
"timezone": "<string>",
"contactConsentConfirmed": True,
"extraEmails": ["jsmith@example.com"],
"partnerRetailPricePerSeatEur": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
companyName: '<string>',
adminFirstName: '<string>',
adminLastName: '<string>',
adminEmail: 'jsmith@example.com',
language: '<string>',
timezone: '<string>',
contactConsentConfirmed: true,
extraEmails: ['jsmith@example.com'],
partnerRetailPricePerSeatEur: '<string>'
})
};
fetch('https://api.meetergo.com/v4/partner/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/partner/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'requestId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'companyName' => '<string>',
'adminFirstName' => '<string>',
'adminLastName' => '<string>',
'adminEmail' => 'jsmith@example.com',
'language' => '<string>',
'timezone' => '<string>',
'contactConsentConfirmed' => true,
'extraEmails' => [
'jsmith@example.com'
],
'partnerRetailPricePerSeatEur' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/partner/customers"
payload := strings.NewReader("{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"companyName\": \"<string>\",\n \"adminFirstName\": \"<string>\",\n \"adminLastName\": \"<string>\",\n \"adminEmail\": \"jsmith@example.com\",\n \"language\": \"<string>\",\n \"timezone\": \"<string>\",\n \"contactConsentConfirmed\": true,\n \"extraEmails\": [\n \"jsmith@example.com\"\n ],\n \"partnerRetailPricePerSeatEur\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meetergo.com/v4/partner/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"companyName\": \"<string>\",\n \"adminFirstName\": \"<string>\",\n \"adminLastName\": \"<string>\",\n \"adminEmail\": \"jsmith@example.com\",\n \"language\": \"<string>\",\n \"timezone\": \"<string>\",\n \"contactConsentConfirmed\": true,\n \"extraEmails\": [\n \"jsmith@example.com\"\n ],\n \"partnerRetailPricePerSeatEur\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/partner/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"companyName\": \"<string>\",\n \"adminFirstName\": \"<string>\",\n \"adminLastName\": \"<string>\",\n \"adminEmail\": \"jsmith@example.com\",\n \"language\": \"<string>\",\n \"timezone\": \"<string>\",\n \"contactConsentConfirmed\": true,\n \"extraEmails\": [\n \"jsmith@example.com\"\n ],\n \"partnerRetailPricePerSeatEur\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"admin": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"status": "pending"
},
"tier": "basic",
"billingResponsibility": "partner",
"partnerRetailPricePerSeatEur": "<string>",
"communicationOwner": "partner",
"licensedSeats": 4503599627370495,
"partnerBillableSeats": 4503599627370495,
"estimatedMonthlyNetCents": 4503599627370495,
"activePartnerAccess": true,
"isPartnerDemo": true,
"createdAt": "2023-11-07T05:31:56Z",
"bookingPageUrl": "<string>"
},
"template": {
"key": "beauty",
"version": 4503599627370495,
"meetingTypes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
}
]
},
"setupStatus": "ready",
"setupAttention": [
"customer_billing_setup_failed"
],
"adminInviteDelivery": "sent",
"additionalInvites": {
"processedEmails": [
"<string>"
],
"unprocessedEmails": [
"<string>"
],
"deliveryFailedEmails": [
"<string>"
]
}
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
Body
application/json
Response
⌘I
Create a customer workspace
curl --request POST \
--url https://api.meetergo.com/v4/partner/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"adminFirstName": "<string>",
"adminLastName": "<string>",
"adminEmail": "jsmith@example.com",
"language": "<string>",
"timezone": "<string>",
"contactConsentConfirmed": true,
"extraEmails": [
"jsmith@example.com"
],
"partnerRetailPricePerSeatEur": "<string>"
}
'import requests
url = "https://api.meetergo.com/v4/partner/customers"
payload = {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"adminFirstName": "<string>",
"adminLastName": "<string>",
"adminEmail": "jsmith@example.com",
"language": "<string>",
"timezone": "<string>",
"contactConsentConfirmed": True,
"extraEmails": ["jsmith@example.com"],
"partnerRetailPricePerSeatEur": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
companyName: '<string>',
adminFirstName: '<string>',
adminLastName: '<string>',
adminEmail: 'jsmith@example.com',
language: '<string>',
timezone: '<string>',
contactConsentConfirmed: true,
extraEmails: ['jsmith@example.com'],
partnerRetailPricePerSeatEur: '<string>'
})
};
fetch('https://api.meetergo.com/v4/partner/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/partner/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'requestId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'companyName' => '<string>',
'adminFirstName' => '<string>',
'adminLastName' => '<string>',
'adminEmail' => 'jsmith@example.com',
'language' => '<string>',
'timezone' => '<string>',
'contactConsentConfirmed' => true,
'extraEmails' => [
'jsmith@example.com'
],
'partnerRetailPricePerSeatEur' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/partner/customers"
payload := strings.NewReader("{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"companyName\": \"<string>\",\n \"adminFirstName\": \"<string>\",\n \"adminLastName\": \"<string>\",\n \"adminEmail\": \"jsmith@example.com\",\n \"language\": \"<string>\",\n \"timezone\": \"<string>\",\n \"contactConsentConfirmed\": true,\n \"extraEmails\": [\n \"jsmith@example.com\"\n ],\n \"partnerRetailPricePerSeatEur\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meetergo.com/v4/partner/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"companyName\": \"<string>\",\n \"adminFirstName\": \"<string>\",\n \"adminLastName\": \"<string>\",\n \"adminEmail\": \"jsmith@example.com\",\n \"language\": \"<string>\",\n \"timezone\": \"<string>\",\n \"contactConsentConfirmed\": true,\n \"extraEmails\": [\n \"jsmith@example.com\"\n ],\n \"partnerRetailPricePerSeatEur\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/partner/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"companyName\": \"<string>\",\n \"adminFirstName\": \"<string>\",\n \"adminLastName\": \"<string>\",\n \"adminEmail\": \"jsmith@example.com\",\n \"language\": \"<string>\",\n \"timezone\": \"<string>\",\n \"contactConsentConfirmed\": true,\n \"extraEmails\": [\n \"jsmith@example.com\"\n ],\n \"partnerRetailPricePerSeatEur\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"admin": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"status": "pending"
},
"tier": "basic",
"billingResponsibility": "partner",
"partnerRetailPricePerSeatEur": "<string>",
"communicationOwner": "partner",
"licensedSeats": 4503599627370495,
"partnerBillableSeats": 4503599627370495,
"estimatedMonthlyNetCents": 4503599627370495,
"activePartnerAccess": true,
"isPartnerDemo": true,
"createdAt": "2023-11-07T05:31:56Z",
"bookingPageUrl": "<string>"
},
"template": {
"key": "beauty",
"version": 4503599627370495,
"meetingTypes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
}
]
},
"setupStatus": "ready",
"setupAttention": [
"customer_billing_setup_failed"
],
"adminInviteDelivery": "sent",
"additionalInvites": {
"processedEmails": [
"<string>"
],
"unprocessedEmails": [
"<string>"
],
"deliveryFailedEmails": [
"<string>"
]
}
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}